Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg
Interface ServiceGroupRegistration

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleServiceGroupRegistration

public interface ServiceGroupRegistration
extends WsResourceCapability

ServiceGroupRegistration contains the optional wsrf-sg:Add operation, which can be added to resource types that already include the WS-RF ServiceGroup capability. The wsrf-sg:Add operation exposes to remote clients the ServiceGroup.addEntry() method so that external components can manage the contents of the service group.

Author:
  Dan Jemiolo (danj)

Method Summary
`EndpointReference` | `add(EndpointReference memberEPR, org.w3c.dom.Element content, java.util.Date terminationTime)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### add

    public EndpointReference add(EndpointReference memberEPR,
                                 org.w3c.dom.Element content,
                                 java.util.Date terminationTime)
                          throws AddRefusedFault,
                                 ContentCreationFailedFault,
                                 UnsupportedMemberInterfaceFault,
                                 BaseFault

  Parameters:
    `memberEPR` - The EPR of the resource that is being added to the group.
    `content` - The current values of the resource properties that are listed in the group's membership content rules. This may be null.
    `terminationTime` - The time at which the service group entry should be deleted. This may be null.
  Returns:
    The EPR of the resource that represents the new service group entry.
  Throws:
    `AddRefusedFault`
    `ContentCreationFailedFault`
    `UnsupportedMemberInterfaceFault`
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD